Last Comment Bug 703374 - browser.cache.memory.enable set to false causes pages to fail to load
: browser.cache.memory.enable set to false causes pages to fail to load
Status: VERIFIED FIXED
[qa!][testday-20120203]
:
Product: Core
Classification: Components
Component: DOM: Core & HTML (show other bugs)
: Trunk
: All All
: -- major (vote)
: mozilla11
Assigned To: :Ms2ger (⌚ UTC+1/+2)
:
Mentors:
: 702993 703753 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-17 13:36 PST by CruNcher
Modified: 2012-02-03 06:00 PST (History)
13 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
verified


Attachments
Patch v1 (965 bytes, patch)
2011-11-18 05:35 PST, :Ms2ger (⌚ UTC+1/+2)
hsivonen: review+
akeybl: approval‑mozilla‑aurora-
Details | Diff | Splinter Review

Description CruNcher 2011-11-17 13:36:07 PST
User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:11.0a1) Gecko/20111117 Firefox/11.0a1
Build ID: 20111117030939

Steps to reproduce:

set Browser.cache.memory.enable on false


Actual results:

Pages wont load anymore


Expected results:

Pages should load ?
Comment 1 Paul Mueller 2011-11-17 14:09:15 PST
I encountered the same problem starting with the 2011/11/16 64-bit nightly on 64-bit Win 7.

Clicking on any bookmark, fire fox goes though the 'connecting...' process, but the result is an empty New Tab.

Setting Browser.cache.memory.enable to True (thanks, CruNcher!) restores expected operations.
Comment 2 B.J. Herbison 2011-11-17 14:50:04 PST
I encountered the same problem. A profile I created about a week ago stopped loading pages today (and an older profile also wasn't loading pages). I created a new profile, synced my preferences, and loaded some extensions. The new profile worked for a while, then stopped working.

After setting browser.cache.memory.enable to true each profile started loading pages again.

(I'm not sure what caused browser.cache.memory.enable to be set to false.)
Comment 3 Alice0775 White 2011-11-17 15:55:09 PST
[STR]
1. Start Firefox clean profile
2. browser.cache.memory.enable to be set to false in about:config
3. Re-Start Firefox
4. Open web page ( ex. http://www.oxymoronical.com/blog/2010/03/How-were-breaking-some-extensions-in-the-near-future )

[Actual result]
Page load fail

Regression window
Works:
http://hg.mozilla.org/mozilla-central/rev/086dea3f0bad
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:11.0a1) Gecko/20111116 Firefox/11.0a1 ID:20111116030946
Fails:
http://hg.mozilla.org/mozilla-central/rev/d51bd1645a2f
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:11.0a1) Gecko/20111115 Firefox/11.0a1 ID:20111115235549
Pushlog:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=086dea3f0bad&tochange=d51bd1645a2f
Comment 4 Alice0775 White 2011-11-18 03:51:55 PST
In local build
built from 6ae59761dc37 : reproduced the problem
built from 4edb27f15750 : good

Triggered by:
6ae59761dc37	Ms2ger — Bug 697494 - Outparamdel nsIParser::GetStreamListener; r=hsivonen
Comment 5 :Ms2ger (⌚ UTC+1/+2) 2011-11-18 05:35:39 PST
Created attachment 575433 [details] [diff] [review]
Patch v1

Henri, this should fix your patch as well.
Comment 6 :Ms2ger (⌚ UTC+1/+2) 2011-11-18 05:37:16 PST
And thanks a lot, Alice!
Comment 8 Ed Morley [:emorley] 2011-11-19 05:14:13 PST
https://hg.mozilla.org/mozilla-central/rev/cde201b0e581
Comment 9 Marcel Dejean 2011-11-19 08:02:25 PST
*** Bug 703753 has been marked as a duplicate of this bug. ***
Comment 10 Stefan [:stefanh] 2011-11-19 12:50:06 PST
*** Bug 702993 has been marked as a duplicate of this bug. ***
Comment 11 Alex Keybl [:akeybl] 2012-01-09 11:19:01 PST
[Triage Comment]
What is the user scenario in which Browser.cache.memory.enable=false would occur and thus cause this bug?
Comment 12 Jorge Villalobos [:jorgev] 2012-01-26 12:27:26 PST
Users can manually change the value of this preference, and some add-ons change it as well.
Comment 13 Alex Keybl [:akeybl] 2012-01-30 14:48:12 PST
Comment on attachment 575433 [details] [diff] [review]
Patch v1

[Triage Comment]
Approving for Aurora uplift given the user effect, the low-risk nature of this bug, and the fact that some add-ons change this setting (thus causing page load issues).
Comment 14 Alex Keybl [:akeybl] 2012-01-30 15:42:33 PST
Comment on attachment 575433 [details] [diff] [review]
Patch v1

Unnecessary aurora approval - already on 11.
Comment 15 [:Aleksej] 2012-02-03 02:34:03 PST
On Linux-x86_64:
Reproduced with Nightly 11.0a1 20111118031005 en-US.
WFM with 11.0b1 en-US and es-ES.
Comment 16 Virgil Dicu [:virgil] [QA] 2012-02-03 06:00:50 PST
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:11.0) Gecko/20100101 Firefox/11.0
Mozilla/5.0 (Windows NT 5.1; rv:11.0) Gecko/20100101 Firefox/11.0

Tested on mac OS 10.6 and Windows XP in addition to Linux from comment 15. 
Used Firefox 11 beta 1 with STR from comment 3.
Pages load properly after setting the pref to false.

Note You need to log in before you can comment on or make changes to this bug.